<?php
/*修正
データインプット
2024/11 一般公開
*/

require_once("./login_pdo.php");

#エラー表示
#error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
error_reporting(E_ERROR | E_WARNING | E_PARSE);

#ジャンプ先
$jump = "./index.php";

$ttt = "Weekly Schedule Input";

$ddd = $_GET['ddd'];
$user = $_GET['user'];
$role = $_GET['role'];

$del = "";

#日時
$now = date("Y-m-d H:i:s");

/////入力されたら///////////////////////////////////////////
if(isset($_POST['RUN'])){

	#入力簡易化
	extract($_POST);

	////削除判定
	//if($del == "YES" or strlen($com_c) < 3){$delrun = "GO"; } //削除する
	if($del == "YES" or (strlen($com_c) < 3 and $office_c == 0)){$delrun = "GO"; } //削除する
	else{$delrun = ""; } //削除しない


	///▼保存、新規（削除ではない）
	if(empty($delrun)){
		
		////文字処理/////////////////
		$_POST["com_c"] = trim($_POST["com_c"]);

		#置換
		$_POST["com_c"] = preg_replace("/</", "＜", $_POST["com_c"]); 
		$_POST["com_c"] = preg_replace("/>/", "＞", $_POST["com_c"]); 
		$_POST["com_c"] = preg_replace("/\n/", "<br>", $_POST["com_c"]); 
		$_POST["com_c"] = preg_replace("/\?/", "", $_POST["com_c"]); 
		
		if(empty($_POST["office_c"])){$_POST["office_c"] = 0;}
		
		$i = 0; 
		### SQL データチェック
		//SQLの準備
		$sql = "SELECT no_c,user_c,date_c,com_c,office_c FROM `weekly2` WHERE date_c='$ddd_c' and user_c='$user_c'";

		//SQL実行
		$stmt = $dbh->query($sql);

		//SQL結果の取り出し
		while($row = $stmt -> fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$i++;
		}

		#処理１、保存------------------------------
		if ($i >= 1){

			$sql = "UPDATE `weekly2` SET com_c = :com, office_c = :office, timestamp_c = :now WHERE no_c=:no";

			$pre = $dbh->prepare($sql);

			$pre->bindValue(':no',$no_c, PDO::PARAM_STR);
			$pre->bindValue(':com',$_POST["com_c"], PDO::PARAM_STR);
			$pre->bindValue(':office',$_POST["office_c"], PDO::PARAM_STR);
			$pre->bindValue(':now',$now, PDO::PARAM_STR);

			//SQL実行
			$result = $pre->execute();

			#エラーの場合
			if ($result == false) {
				{die($msg = "データ保存が失敗しました。".mysql_error());}
			}
			else{
			$msg ="スケジュールを保存しました。";
			}

		}

		#処理２、新規追加--------------------------
		elseif ($i == 0){

			$sql = "INSERT INTO `weekly2`(`user_c`,`date_c`,`com_c`,`office_c`,`timestamp_c`) VALUE(:user,:ddd,:com,:office,:now)";

			$pre = $dbh->prepare($sql);

			$pre->bindValue(':user',$user_c, PDO::PARAM_STR);
			$pre->bindValue(':ddd',$ddd_c, PDO::PARAM_STR);
			$pre->bindValue(':com',$_POST["com_c"], PDO::PARAM_STR);
			$pre->bindValue(':office',$_POST["office_c"], PDO::PARAM_STR);
			$pre->bindValue(':now',$now, PDO::PARAM_STR);

			//SQL実行
			$result = $pre->execute();

			#エラーの場合
			if ($result == false) {
				{die("$msg = データ追加が失敗しました。".mysql_error());}
			}
			else{
			$msg ="スケジュールを追加しました。";
			}

		}
		
	}
	
	///▼削除
	elseif($delrun == "GO"){

		$sql = "DELETE FROM `weekly2` WHERE no_c=:no";

			$pre = $dbh->prepare($sql);

			$pre->bindValue(':no',$no_c, PDO::PARAM_STR);

			//SQL実行
			$result = $pre->execute();

			#エラーの場合
			if ($result == false) {
				{die("$msg = データ削除が失敗しました。".mysql_error());}
			}
			else{
			$msg ="スケジュールを削除しました。";
			}
			
	}

	#ジャンプ
	header("Location: {$jump}?user={$user_c}&ddd={$ddd_c}&role={$role}&msg={$msg}");

}
/////入力されたら///////////////////////////////////////////

?>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf8">
<link rel="stylesheet" href="style.css">
<link href="https://fonts.googleapis.com/css?family=Cherry+Swash|M+PLUS+1p&display=swap" rel="stylesheet">

<link rel="Shortcut Icon" type="image/x-icon" href="./favweekly.ico" />

<title><?php echo $ttt; ?></title>
</head>

<body>

<h1><?php echo $ttt; ?></h1>

<br><br>

<div id="cont">
<form name="form" method="POST" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>">

<?php

$i = 0;

### SQL ddd user は、スケジュールページから取得
//SQLの準備
$sql = "SELECT no_c,user_c,date_c,com_c,office_c FROM `weekly2` WHERE date_c='$ddd' and user_c='$user'";

//SQL実行
$stmt = $dbh->query($sql);

//SQL結果の取り出し
while($row = $stmt -> fetch(PDO::FETCH_ASSOC)){
	extract($row);
	
	$com_c = preg_replace("/<br>/", "\n", $com_c); 
	$i++;
	$mode = "編集"; $modev = "SAVE";

}

if($i ==0){$mode = "新規"; $modev = "INS"; }

?>

モード<br>
<input type=text size=8 name=mode value='<?php if(isset($mode)){echo $mode; } ?>' readonly>
<br><br>

日付<br>
<input type="text" size="12" name="ddd_c" value="<?php if(isset($ddd)){echo $ddd; } ?>" readonly>
<br><br>

内容：<br>
<textarea rows=23 cols=50 name='com_c'><?php if(isset($com_c)){echo $com_c; } ?></textarea>
<br>

<input type=hidden size=8 name='no_c' value='<?php if(isset($no_c)){echo $no_c; } ?>'>
<input type=hidden size=12 name='user_c' value='<?php if(isset($user)){echo $user; } ?>'>
<input type=hidden size=12 name='role' value='<?php if(isset($role)){echo $role; } ?>'>
<input type=hidden size=12 name='what' value='<?php if(isset($modev)){echo $modev; } ?>'>

<br>
<br>

<label>
<input type="checkbox" name="del" value="YES"> <font color=red size=-1>削除する</font></label><br>
<br>
<input type=submit name="RUN" value="   実行する  ">

</form>
</div>

<br>

<?php echo $footer; ?>

</body>
</html>