<?php
/*履歴
2024/11 一般公開
*/

require_once("./login_pdo.php");
require_once("./holiday.php"); #休日データ

#エラー表示
#error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
error_reporting(E_ERROR | E_WARNING | E_PARSE);

#スクリプト名
$script = "index.php";

$ttt = "Weekly Schedule";

#初期化
$msg = "";
$user = "";
$role = 0;
$ok0 = 0;
$ok1 = 0;
$ok2 = 0;
$ok3 = 0;
$ok4 = 0;
$ok5 = 0;
$ok6 = 0;

#編集ファイル
$edt = "./edit.php";

#入力簡易化
extract($_GET);

//ペンアイコン
$pen = "<img src=img/pen1.png width=14 height=14 border=0>";

$memo = "入力するには画面右上からLOG IN。{$pen} をクリックします。";

/*
if(empty($user)){$user = $user; }
else{$user = "";}

if(empty($role)){$role = $role; }
else{$role = 0; }
*/

//今日の日付
$kyo = date('Y/m/d');
$kyd = date('m/d');

//今週の日付を保持するための配列
$out_date = array();

//調整値
$week_start = array('0','-1','-2','-3','-4','-5','-6');
//曜日
$week_jp = array('日','月','火','水','木','金','土');

//初期値
if(empty($role)){$role = 0;}

//翌週
$plus = $role + 1;
$minus = $role - 1;

//ロール日数
$rold = $role*7;

//date('w')で曜日のインデックスを取得する。
//例：今日が木曜日の場合、4を返す。
$week_index = $week_start[date("w")] + $rold;

?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf8">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<script>
	//setTimeout関数でfadeOut()の実行を遅延させる
	setTimeout(function() {
		$('.msg').fadeOut();
	}, 5000);
</script>

<link rel="stylesheet" href="style.css">
<link href="https://fonts.googleapis.com/css?family=Cherry+Swash|Kaushan+Script|M+PLUS+1p&display=swap" rel="stylesheet">

<link rel="stylesheet" href="https://unpkg.com/@auroratide/typewritten-text/lib/style.css" />

<script type="module" src="https://unpkg.com/@auroratide/typewritten-text/lib/define.js"></script>

<link rel="Shortcut Icon" type="image/x-icon" href="./favweekly.ico" />

<title><?php echo $ttt; ?></title>
</head>

<body>

<?php

/*
echo "Today = $kyo<br>\n";
echo "Adjust = $week_index\n<br>------<br>\n";
echo "Role = $role / minus $minus : plus $plus<br>\n";
echo "Rold = $rold<br>\n";
*/

echo "<h1>{$ttt}</h1>";

echo "<div id=login>";
echo "<form name='form' method='GET' action={$_SERVER['SCRIPT_NAME']}>\n";

//ログイン
if($user == ""){
	echo "ログイン: ";
	echo "<SELECT name=user>\n";
	echo "<OPTION value=$user>$user</OPTION>\n";
		for ($i=0; $i<=6; $i++) {
			echo "<OPTION value={$i}>{$dept[$i]}</OPTION>\n";
		}
	echo "</SELECT> <input type=submit value='LOG IN'> ";
	echo "<input type=hidden name=role value='{$role}'>";
}
else{
	echo "<font color=red>{$dept[$user]} で、ログイン中</font> "; 
	echo "<input type=submit value='LOG OUT'>";
	echo "<input type=hidden name=user value=''>";
	echo "<input type=hidden name=role value='{$role}'>";
}

echo "</form>\n";
echo "</div>";

if(!empty($_GET['msg'])){
echo "<div class=msg><typewritten-text letter-interval=85>$msg</typewritten-text></div>";
}

?>

<!-- ★ジャンプバー -->
<table width="100%" align="center" border="0" cellpadding="0" cellspacing="1">
<tr bgcolor="#000000"><td>

<table width="98%" align="center" border="0">
<tr align="center">
<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET"><td>
<select name="role">
<option value="-2">2週前
<option value="-3">3週前
<option value="-4">4週前
</select><input type=submit value="ジャンプ">
<input type="hidden" name="mode" value="view">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</td></form>

<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET"><td>
<input type="hidden" name="role" value="<?php echo $minus; ?>">
<input type="submit" value=" ＜ 前  週  ">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</td></form>
<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET"><td>
<input type="hidden" name="role" value="0">
<input type="submit" value="         今 週 に も ど る         ">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</td></form>

<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET"><td>
<input type="hidden" name="role" value="<?php echo $plus; ?>">
<input type="submit" value="  翌  週 ＞ ">
<input type="hidden" name="mode" value="view">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</td></form>

<form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET"><td>
<select name="role">
<option value="2">2週後
<option value="3">3週後
<option value="4">4週後
<option value="5">5週後
<option value="6">6週後
<option value="7">7週後
<option value="8">8週後
<option value="9">9週後
<option value="10">10週後
<option value="11">11週後
<option value="12">12週後
<option value="13">13週後
<option value="14">14週後
<option value="15">15週後
</select><input type=submit value="ジャンプ">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</td></form>
</tr></table>
</td></tr></table>
<br>

<?php

//Week表示　日→土
echo "<table width=100% border=1 cellspacing=0 cellpadding=4 class=base>";
echo "<tr align=center bgcolor=#FFFFCC><td width=16% height=46>日付</td>";

for ($i=0; $i<7; $i++) {
	//今日が木曜日だとしたら、$week_indexが-4となるため、今日の日付から-4が日曜日。
	//そこから1週間分ループしながら表示する。
	//echo "({$week_index})";
	//$disp_date = strtotime(date("Y-m-d") . '+' . $week_index . 'days');
	//echo date("m-d", strtotime("$week_index days"));

//	$out_date = date("m/d", $disp_date); //表示用に日付
	$out_date = date("m/d", strtotime("$week_index days")); //表示用に日付
//	$ful_date = date("Y-m-d", $disp_date); //表示用に日付
	$ful_date = date("Y-m-d", strtotime("$week_index days"));
	
	//echo "---<br>".$ful_date;
	if(isset($hdnm["$ful_date"])){$hol = $hdnm["$ful_date"]; } //休日
	else{$hol = "";}

	//今日の場合、背景に色つけ
	if($out_date == "$kyd"){$bcol = "bgcolor=#FFCC66"; }
	elseif($i == "0" || !empty($hol)){$bcol = "bgcolor=#ff6699";}
	elseif($i == "6"){$bcol = "bgcolor=#99ccff";}
	else{$bcol = ""; }

	echo "<td width=12% {$bcol} class=date>{$out_date}<span class=yobi>（{$week_jp[$i]}）</span><br><span class=hate>{$hol}</span></td>\n";

	//echo $week_index.": ";
	//echo $out_date."<br>\n";
	
	$days[] = $ful_date; //日～土までの日付を配列に入れる。
    $week_index++;
}
echo "</tr>\n\n";

//print_r($days);

////////////////////////////////////////////////////

### SQL
//SQLの準備
$sql = "SELECT user_c,date_c,com_c,office_c FROM `weekly2` WHERE date_c between '$days[0]' and '$days[6]' ORDER BY user_c,date_c";

//SQL実行
$stmt = $dbh->query($sql);

//SQL結果の取り出し
while($row = $stmt -> fetch(PDO::FETCH_ASSOC)){
	extract($row);

		 if($date_c == "$days[0]"){$evt1 = "$com_c"; $evt[$user_c][0] = "$com_c"; }
		 if($date_c == "$days[1]"){$evt2 = "$com_c"; $evt[$user_c][1] = "$com_c"; }
		 if($date_c == "$days[2]"){$evt3 = "$com_c"; $evt[$user_c][2] = "$com_c"; }
		 if($date_c == "$days[3]"){$evt4 = "$com_c"; $evt[$user_c][3] = "$com_c"; }
		 if($date_c == "$days[4]"){$evt5 = "$com_c"; $evt[$user_c][4] = "$com_c"; }
		 if($date_c == "$days[5]"){$evt6 = "$com_c"; $evt[$user_c][5] = "$com_c"; }
		 if($date_c == "$days[6]"){$evt7 = "$com_c"; $evt[$user_c][6] = "$com_c"; }

		//echo "$user_c $date_c / $com_c<br>";
}

////////////////////////////////////////////////////

///ループ開始
for ($u=0; $u<=6; $u++) {

	//ユーザーカラー&入力リンク
	if($user != "" and $u == "$user"){
	$ucol = "<font color=red><strong>"; 
	$ip0 = "<a href={$edt}?user={$u}&ddd={$days[0]}&role={$role}>{$pen}</a>";
	$ip1 = "<a href={$edt}?user={$u}&ddd={$days[1]}&role={$role}>{$pen}</a>";
	$ip2 = "<a href={$edt}?user={$u}&ddd={$days[2]}&role={$role}>{$pen}</a>";
	$ip3 = "<a href={$edt}?user={$u}&ddd={$days[3]}&role={$role}>{$pen}</a>";
	$ip4 = "<a href={$edt}?user={$u}&ddd={$days[4]}&role={$role}>{$pen}</a>";
	$ip5 = "<a href={$edt}?user={$u}&ddd={$days[5]}&role={$role}>{$pen}</a>";
	$ip6 = "<a href={$edt}?user={$u}&ddd={$days[6]}&role={$role}>{$pen}</a>";
	}
	else{$ucol = ""; $ip0 = ""; $ip1 = ""; $ip2 = ""; $ip3 = ""; $ip4 = ""; $ip5 = ""; $ip6 = ""; }
	
	echo "<tr valign=top><td height=65>{$ucol}{$dept[$u]}</td>";

	if(isset($evt[$u][0])){$ev0 = $evt[$u][0];} else{$ev0 = "";}
	if(isset($evt[$u][1])){$ev1 = $evt[$u][1];} else{$ev1 = "";}
	if(isset($evt[$u][2])){$ev2 = $evt[$u][2];} else{$ev2 = "";}
	if(isset($evt[$u][3])){$ev3 = $evt[$u][3];} else{$ev3 = "";}
	if(isset($evt[$u][4])){$ev4 = $evt[$u][4];} else{$ev4 = "";}
	if(isset($evt[$u][5])){$ev5 = $evt[$u][5];} else{$ev5 = "";}
	if(isset($evt[$u][6])){$ev6 = $evt[$u][6];} else{$ev6 = "";}

	echo "
	<td>{$ip0} <div class='evt'>{$ev0}</div><br /></td>
	<td>{$ip1} <div class='evt'>{$ev1}</div><br /></td>
	<td>{$ip2} <div class='evt'>{$ev2}</div><br /></td>
	<td>{$ip3} <div class='evt'>{$ev3}</div><br /></td>
	<td>{$ip4} <div class='evt'>{$ev4}</div><br /></td>
	<td>{$ip5} <div class='evt'>{$ev5}</div><br /></td>
	<td>{$ip6} <div class='evt'>{$ev6}</div><br /></td>";
	
}
///ループ終了

echo "</tr>";

echo "</tr></table>";

echo "<div class=memo>{$memo}</div>";

?>
<br />

<div align=right>

<?php if (isset($user)) : ?>
<FORM action="./list.php" method="GET">
<input type=submit value='年度表示'>
<input type=hidden name=user value='<?php echo $user;?>'>
</FORM>
<?php endif; ?>

</div>

<br>

<?php echo $footer; ?>

</body>
</html>