<?php
/*履歴
2024/11 一般提供。
*/

require_once("./login_pdo.php");
require_once("./holiday.php"); #休日データ

#エラー表示
#error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
error_reporting(E_ERROR | E_WARNING | E_PARSE);

#スクリプト名
$script = "list.php";

$ttt = "Weekly Schedule 年度表示";

#初期化
$lmonth = "";

#入力簡易化
extract($_GET);

$jmp = "<div align=center style=\"margin: 25px 50px 10px 0; font-size: 85%;\">
<span>
<a href=#January>１月</a> | 
<a href=#February>２月</a> | 
<a href=#March>３月</a> | 
<a href=#April>４月</a> | 
<a href=#May>５月</a> | 
<a href=#June>６月</a> | 
<a href=#July>７月</a> | 
<a href=#August>８月</a> | 
<a href=#September>９月</a> | 
<a href=#October>10月</a> | 
<a href=#November>11月</a> | 
<a href=#December>12月</a>
</span>
<span align=right style='margin-left: 30px;'><input type=text id=search size=18 placeholder=文字で絞り込み></span>
</div>";

//今日の日付
$kyo = date('Y/m/d');
#$kyd = date('m/d') + 3*$role;
$yr = date('Y');
$pr = $yr - 1; #前年
$nr = $yr + 1; #次年

if(empty($year)){$year = $yr; }

$tbl = "\n\n<center><table class=list>";

?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf8">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
    $('input').on('keyup', function(){
        Search($(this).val());
    });
});
function Search(keyword) {
    var regExp = new RegExp(keyword);
    $('.list').find('tr').hide().each(function(){
        var tr = $(this);
        $(this).find('td').each(function(){
            if ($(this).text().match(regExp)) {
                tr.show();
            }
        })
    });
}
</script>

<link rel="stylesheet" href="style.css">
<link href="https://fonts.googleapis.com/css?family=Cherry+Swash|Kaushan+Script|M+PLUS+1p&display=swap" rel="stylesheet">

<title><?php echo $ttt; ?></title>
</head>

<body>

<h1><?php echo $ttt; ?></h1>

<div align="right">
<FORM action="./index.php" method="GET">
<input type=submit value="   ＜ 戻る    " class="btn">
<input type=hidden name=user value='<?php echo $user;?>'>
</FORM>
</div>

<br />
<div align="right" style="margin: 15px 0;">
<FORM action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="GET">
<SELECT name="year">
	<OPTION value="<?php echo $pr; ?>" <?php echo ($year == $pr) ? 'selected' : ''; ?>><?php echo $pr; ?></OPTION>
	<OPTION value="<?php echo $yr; ?>" <?php echo ($year == $yr) ? 'selected' : ''; ?>><?php echo $yr; ?></OPTION>
	<OPTION value="<?php echo $nr; ?>" <?php echo ($year == $nr) ? 'selected' : ''; ?>><?php echo $nr; ?></OPTION>
</SELECT>年 
<input type=submit value="    表示する    ">
<input type="hidden" name="user" value="<?php echo $user; ?>">
</FORM>
</div>

<?php

echo "$jmp";
////////////////////////////////////////////////////

### SQL
//SQLの準備
$sql = "SELECT user_c,date_c,DATE_FORMAT(date_c,'%M') as month,com_c,office_c FROM `weekly2` 
WHERE user_c = $user and date_c like '$year%' ORDER BY date_c";

//SQL実行
$stmt = $dbh->query($sql);

//SQL結果の取り出し
while($row = $stmt -> fetch(PDO::FETCH_ASSOC)){
	extract($row);
	if($month != $lmonth){
		if($lmonth !=""){echo "</table></center><br /><br />\n"; }
		echo $tbl;
		echo "<h2><i><a name={$month}>{$month}</a></i></h2><br />"; 
	}
	echo "<tr height=30 valign=top class=base><td width=15%>{$date_c}</td><td bgcolor=#FFFFFF>{$com_c}<br></td></tr>\n";
	$lmonth = $month;
}
	echo "</table>";

////////////////////////////////////////////////////

echo "<br />";
echo $footer;

?>
<br>

</body>
</html>